Imports System.IO

Public Class FrmHangman
    Dim Words As String()
    Dim MyPath As String
    Dim CurrentIndex As Integer = 0
    Dim DISPLAY_CHAR As String = "*"
    Dim WordLength As String
    Dim Incorrect As Integer = 0

    Private Sub FrmHangman_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamreader As StreamReader
        Dim Contents As String
        Dim Lines As String()
        'Dim Token As String()
        Dim i As Integer

        MyPath = Directory.GetCurrentDirectory

        Try
            MyStreamreader = New StreamReader(MyPath & "\HangmanWords.txt")
            Contents = MyStreamreader.ReadToEnd
            MyStreamreader.Close()
        Catch ex As Exception
            MsgBox("problem.")
            Exit Sub
        End Try

        Lines = Contents.Trim.Split(vbCrLf)
        Words = New String(Lines.Length - 1) {}

        For i = 0 To Lines.Length - 1
            Words(i) = Lines(i).Trim
            'MsgBox(Words(i))
        Next

        ' MsgBox(Words(CurrentIndex))

        WordLength = ""
        For i = 0 To Words(CurrentIndex).Length - 1
            WordLength &= DISPLAY_CHAR
        Next

        lblDisplayWord.Text = WordLength
        picHangman.Image = Image.FromFile(MyPath & "\hangman0.gif")

    End Sub

    Private Sub btnCheck_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheck.Click
        Dim GuessedLetter As String = ""
        Dim i As Integer
        Dim MyRadioButton As RadioButton
        Dim FoundIndex As Integer

        For i = 0 To grbLetters.Controls.Count - 1
            MyRadioButton = grbLetters.Controls.Item(i)
            If MyRadioButton.Checked = True Then
                GuessedLetter = MyRadioButton.Text
                MyRadioButton.Enabled = False
                MyRadioButton.Checked = False
                'MyRadioButton.ForeColor = Color.White
                MyRadioButton.BackColor = Color.Gainsboro
                Exit For
            End If
        Next

        If GuessedLetter = "" Then
            MsgBox("Please guess a letter.")
            Exit Sub
        Else
            MsgBox(GuessedLetter)
        End If

        FoundIndex = Words(CurrentIndex).IndexOf(GuessedLetter.ToLower)
        If FoundIndex = -1 Then
            MsgBox("not found")
            Incorrect += 1
            picHangman.Image = Image.FromFile(MyPath & "\hangman" & Incorrect & ".gif")
            If Incorrect = 9 Then
                MsgBox("You lose.")
                'other stuff 
                'disable guess 
                'enable next
            End If
        Else
            MsgBox("found")
            'WordLength = WordLength.Substring(0, FoundIndex) & GuessedLetter & WordLength.Substring(FoundIndex + 1)
            'lblDisplayWord.Text = WordLength
            Do Until FoundIndex = -1
                WordLength = WordLength.Substring(0, FoundIndex) & GuessedLetter & WordLength.Substring(FoundIndex + 1)
                lblDisplayWord.Text = WordLength
                FoundIndex = Words(CurrentIndex).IndexOf(GuessedLetter.ToLower, FoundIndex + 1)
            Loop
            If WordLength.IndexOf(DISPLAY_CHAR) = -1 Then
                MsgBox("won")
            End If
        End If


    End Sub
End Class
